package omey.com.SimpleMavenProject;

import org.libvirt.*;

/**
 * Hello world!
 * 
 */
public class LibVirtAccess {
    
    private static void displayDomainDetails(Connect conn, Domain testDomain)
            throws LibvirtException {
        System.out.println("Domain:" + testDomain.getName() + " id "
         + testDomain.getID() + " running OS "
         + testDomain.getOSType() + " host name "
         + conn.getHostName() + " hypervisor version "
         + conn.getHypervisorVersion(null));
        
        System.out.println("Domain state: " + testDomain.getInfo().state.name());
    }
    
    public static void main(String[] args) {
        System.out.println("Hello World!");
        Connect conn = null;
        try {
            conn = new Connect("qemu:///system", true);// ("test:///default",
                                                       // true);
            System.out.println(" Hypervisor version "
                    + conn.getHypervisorVersion(null));
            System.out.println(" Type " + conn.getType());
            System.out.println(" NumOfDefinedDomains "
                    + conn.numOfDefinedDomains());
            System.out.println(" URI "
                    + conn.getURI());

            Domain testDomain1 = conn.domainLookupByName("MyKVMVirtualMachine");
            Domain testDomain2 = conn.domainLookupByName("MyKVMVirtualMachine-clone");
            displayDomainDetails(conn, testDomain1);
            displayDomainDetails(conn, testDomain2);
//            testDomain.create()
       } catch (LibvirtException e) {
            System.out.println("exception caught:" + e);
            System.out.println(e.getError());
        } finally {
            if (conn != null) {
                try {
                    conn.close();
                } catch (LibvirtException e) {
                    // TODO Auto-generated catch block
                    e.printStackTrace();
                }
            }
        }
    }
}